// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {

    ext{
        app_targetSdk = 35
        app_minSdk = 24
        app_compileSdk = 35
        app_toolsVserion = "35.0.0"
        appcompat_version = '1.6.1'
        //1.10.0需要sdk 34
        //1.3.0开始LocalBroadcastManager已经包含了
        material_version = '1.9.0'
//        kotlin_version = '1.9.23'
        kotlin_version = '1.7.20'
        core_ktx_version = '1.8.0'
        kotlin_plugin_version = '1.8.22'
    }

    repositories {
        google()
        mavenCentral()
        maven { url 'https://jitpack.io' }
        maven {
            url "https://repo.eclipse.org/content/repositories/paho-snapshots/"
        }
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:8.5.2'
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:2.2.0"
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        google()
        mavenCentral()
        maven {
            url "https://repo.eclipse.org/content/repositories/paho-snapshots/"
        }
        maven { url 'https://jitpack.io' }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
